Bug 155147 - Samba does not believe the directory associated with a share is a directory
Samba does not believe the directory associated with a share is a directory
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-17 01:02 EDT by Michael St. John
Modified: 2014-08-31 19:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-17 15:40:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael St. John 2005-04-17 01:02:08 EDT
Description of problem:

When attempting to access a share through a mount or smbclient the samba server
returns tree connect failed: NT_STATUS_BAD_NETWORK_NAME closing the connection.

The samba access log contains:

[2005/04/17 00:23:07, 0] smbd/service.c:make_connection_snum(617)
  '/home/foo' does not exist or is not a directory, when connecting to [foo]

smbclient -L host and testparm both correctly display all active shares without
errors.

Version-Release number of selected component (if applicable): samba-3.0.11-6


How reproducible: reproducible


Steps to Reproduce:
1. Install samba-3.0.11-6
2. configure to local workgroup
3. connect to server with smbclient //sambaserver/foo -U foo
  
Actual results:

[2005/04/17 00:23:07, 0] smbd/service.c:make_connection_snum(617)
  '/home/foo' does not exist or is not a directory, when connecting to [foo]

Expected results:


Additional info:

In the example below the workgroup master is running samba-2.2.7a-8.9.0.

[chaos@segfault ~]$ smbclient -L segfault
Domain=[SEGFAULT] OS=[Unix] Server=[Samba 3.0.11-6]

        Sharename       Type      Comment
        ---------       ----      -------
        html            Disk
        IPC$            IPC       IPC Service (Segfault Samba)
        ADMIN$          IPC       IPC Service (Segfault Samba)
        printer         Printer   printer
        fineprint       Printer   Created by redhat-config-printer 0.6.x
        chaos           Disk      Home Directories
Domain=[SEGFAULT] OS=[Unix] Server=[Samba 3.0.11-6]

        Server               Comment
        ---------            -------

        Workgroup            Master
        ---------            -------
        HOME                 COREDUMP




[global]
        workgroup = home
        server string = Segfault Samba
        printcap name = /etc/printcap
        load printers = yes
        cups options = raw
        log file = /var/log/samba/%m.log
        max log size = 50
        socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
        dns proxy = no
        username map = /etc/samba/smbusers

#============================ Share Definitions ==============================
[homes]
        comment = Home Directories
        browseable = no
        writeable = yes

# NOTE: If you have a BSD-style print system there is no need to
# specifically define each individual printer
[printers]
        comment = All Printers
        path = /var/spool/samba
        browseable = no
# Set public = yes to allow user 'guest account' to print
;       guest ok = no
;       writeable = no
        printable = yes

[html]
        path = /var/www/html
        writeable = yes
        browseable = yes
        valid users = chaos

[chaos@segfault ~]$ smbclient //segfault/chaos
Password:
Domain=[SEGFAULT] OS=[Unix] Server=[Samba 3.0.11-6]
tree connect failed: NT_STATUS_BAD_NETWORK_NAME

[chaos@segfault ~]$ ls -ld /home/chaos
drwxr-xr-x  19 chaos chaos 4096 Apr 16 23:54 /home/chaos

[root@segfault samba]# tail /var/log/samba/segfault.log
[2005/04/17 01:00:03, 0] smbd/service.c:make_connection_snum(617)
  '/home/chaos' does not exist or is not a directory, when connecting to [chaos]
Comment 1 Michael St. John 2005-04-17 15:40:28 EDT
Sorry this is not a bug. Turns out it was a misconfiguration of SELinux.

Note You need to log in before you can comment on or make changes to this bug.